###
This is a manifest file that'll be compiled into including all the files listed below.
Add new JavaScript/Coffee code in separate files in this directory and they'll automatically
be included in the compiled file accessible from http:##example.com/assets/application.js
It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
the compiled file.
###

# require head

#= require blank
# Include blank which is just ";" because for some reason the top comments
# for the first require aren't stripped out

#= require zepto/zepto
#= require zepto/event
#= require zepto/ajax
#= require zepto/ujs
#! require zepto/assets
#! require zepto/detect
#! require zepto/form
#= require zepto/fx
#! require zepto/gesture
#! require zepto/polyfill
#= require zepto/touch
#! require zepto_ujs
#= require underscore
#! require json2
#= require backbone
#= require zepto/backbone_datalink
#= require passbox
#! require_tree .
#= require sjcl
#! require mbp_helper
#= require iscroll-lite

#= require_self

#!= MBP.scaleFx() # TODO: why is this useful?

# Hack for hiding navigation bar
# The JavaScript approach when not opening app from homescreen
# http://mobile.tutsplus.com/tutorials/mobile-web-apps/remove-address-bar/
hideAddressBar = (handler) ->
	if document.height <= window.outerHeight
		document.body.style.height = (window.outerHeight + 60) + 'px'
	setTimeout ->
		window.scrollTo(0, 1); 
		setTimeout ->
			document.body.style.height = (window.innerHeight) + 'px'
			handler()
		, 200
	, 50

# Hide the navigation bar for mobile devices
if (/mobile/i.test(navigator.userAgent))
	window.addEventListener "load", -> 
		unless window.pageYOffset
			hideAddressBar initializeApp
 	window.addEventListener "orientationchange", ->
 		hideAddressBar -> {}
else
	$(-> initializeApp())

# Initialize app
initializeApp = ->
	if $("meta[name='passbox-user-authorized']").attr('content') == 'yes'
		window.Passbox.init({ user: new Passbox.Models.User({authorized:true})})
	else
		window.Passbox.init()

$(->
	
	# Prevent everything other than scrolling
	$("body").bind 'touchmove', (event) ->
		# if event.touches.length != 1
			# Tell Safari not to move the window
		event.preventDefault()
	
	# Add Min Max Breakpoint Classes
	# html = $("html")
	# addMinMaxBreakpointClasses = ->
	# 	html.css("class","")
	# 	
	# 	# Min and Max breakpoint classes
	# 	html.addClass "max-width-1024px" if Modernizr.mq('only screen and (max-width: 1024px)')
	# 	html.addClass "max-width-768px" if Modernizr.mq('only screen and (max-width: 768px)')
	# 	html.addClass "max-width-480px" if Modernizr.mq('only screen and (max-width: 480px)')
	# 	html.addClass "max-width-320px" if Modernizr.mq('only screen and (max-width: 320px)')
	# 	
	# 	html.addClass "min-width-1024px" if Modernizr.mq('only screen and (min-width: 1024px)')
	# 	html.addClass "min-width-768px" if Modernizr.mq('only screen and (min-width: 768px)')
	# 	html.addClass "min-width-480px" if Modernizr.mq('only screen and (min-width: 480px)')
	# 	html.addClass "min-width-320px" if Modernizr.mq('only screen and (min-width: 320px)')
	# 
	# $(window).bind 'resize', ->
	# 	addMinMaxBreakpointClasses()
	# 	
	# addMinMaxBreakpointClasses()

	# Initialize app

)