class Passbox.Views.Dialog extends Passbox.Views.Page
	
	el: "#overlay"

	open: (@success = (->)) =>
		@render()
		
	confirm: (e) ->
		@success()
		@dismiss(e)
		
	dismiss: (e) ->
		e.preventDefault()
		e.stopPropagation()
		Passbox.router._slideOut?(=>
			$(@el).hide()
		, "#overlay")
			
	render: ->
		super
		
		$(this.el).show().attr("style","")
		$(this.el).html """
			<div id='dialog'>
				<div class='content'>
					#{$(this.el).html()}
				</div>
			</div>
			"""
		Passbox.router._slideIn?("#overlay") # TODO: calling privates a no-no