Passbox.Views.Dialogs ||= {}

class Passbox.Views.Dialogs.EditKey extends Passbox.Views.Dialog
	template: JST["templates/dialogs/editkey"]
	
	events:
		"submit form": "save"

	el: "#overlay"
		
	initialize: ->
		@success = @options.success
		@model = Passbox.user
	
	save: (e) ->
		e.preventDefault()
		e.stopPropagation()

		console.log "save EditKey"
		
		# validate inputs
		if @model.get("key") != @model.get("repeat")
			alert "Passwords do not match."
			return

		# validate inputs
		if !@model.get("key") or @model.get("key")?.length is 0
			return alert "Password must not be empty."

		@model.unset("errors")
		@model.unset("repeat")

		@model.save({},
			success: (password) =>
				# @remove()
				@success()

			error: (password, jqXHR) =>
				@model.set({errors: $.parseJSON(jqXHR.responseText)})
		)

	render: ->
		$(this.el).html(@template(@model.toJSON() ))
		super
		this.$("form").backboneLink(@model)
