Passbox.Views.Pages ||= {}

class Passbox.Views.Pages.Login extends Passbox.Views.Page
	template: JST["templates/pages/login"]
	bodyClass: "login"
	title: "Login"
	
	events:
		"click #login":		"login"
			
	render: ->
		$(@el).html(@template)
		super
		
	login: (e) ->
		e.preventDefault()
		e.stopPropagation()
		
		$.ajax({
			url:  "/authorize"
			cache: false
			dataType: "json"
			success: (data) =>
				@_attemptLogin data.url, ->
					# alert "success"
					Passbox.user.set({"authorized":true})
				, ->
					# return false
					window.location = "#{data.url}"
			error: ->
				alert "error"
		});
	
	# Attempt to login 
	_attemptLogin: (url, success, failure) ->
		$("body").append("<iframe id='dropbox-login' src='#{url}.json' style='display:none'></iframe>")
		frame = $('iframe#dropbox-login')
		
		done = false
		frame.bind 'load', ->
			
			# Get the response.
			ret = $('body', frames[0].document)
			
			# The response may be under a child element (e.g. pre)
			while ret.children().length > 0
				ret = $(ret.children()[0])
			
			# Deal with the response
			json = JSON.parse ret.html()
			if json.success
				done = true
				frame.remove()
				success()
			else
				failure()
				
		window.setTimeout( ->
			if !done
				failure()
		, 2000) # TODO: too hack'ish
		