Passbox.Views.Passwords ||= {}

class Passbox.Views.Passwords.New extends Passbox.Views.Dialog
	template: JST["templates/passwords/new"]
	# id: 'add-fields'
	# tagName: 'aside'
	
	events:
		"click a.goBack" : "dismiss"
		"submit #new-password": "save"
		
	constructor: (options) ->
		super(options)
		@success = options.success
		
		@model = new @collection.model()

		@model.bind("change:errors", () =>
			this.render()
		)
		
	save: (e) ->
		e.preventDefault()
		e.stopPropagation()
			
		@model.unset("errors")

		@collection.create(@model.toJSON(), 
			success: (password) =>
				# @model.clear({silent:false})
				
				# TODO: clear doesn't seem to fire change: events
				@model.set({website:"",username:"",password:""})
				
				@confirm(e)
				
			error: (password, jqXHR) =>
				@model.set({errors: $.parseJSON(jqXHR.responseText)})
		)
		
	render: ->
		$(this.el).html(@template(@model.toJSON() ))
		# $(this.el).attr("id", @id)
		super
		this.$("form").backboneLink(@model)