#= require_tree ./templates
#= require_self
#= require_tree ./models
#= require_tree ./views/pages
#= require_tree ./views
#= require_tree ./routers

JST["templates/pages/about"] = (->
	el = $("#template-about")
	html = el.html()
	el.remove()
	return ->
		html
)()

window.Passbox =
	Models: {}
	Collections: {}
	Routers: {}
	Views: {}

	init: (options = {}) ->
		@user = options.user || new Passbox.Models.User()
		
		# Routers
		@router = new Passbox.Routers.Pages()
		
		# Global layout
		@header = new Passbox.Views.Layouts.Header()
		@footer = new Passbox.Views.Layouts.Footer()
		
		# Start the hash change handling
		Backbone.history.start()