Passbox.Views.Dialogs ||= {}

class Passbox.Views.Dialogs.Confirm extends Passbox.Views.Dialog
	defaultMessage: "Confirm Removal"
	
	events:
		"click #yes"     : "confirm"
		"click a.goBack" : "dismiss"
		
	initialize: ->
		super
		_.bindAll this, "render"
		@message = @options.message or @defaultMessage
		@message = @message.join(". ") if _.isArray(@message)
		
	render: ->
		view = this
		$(@el).html """
			<a href="#" class="goBack btn">« Back</a>
			<h1>#{@message}</h1>
			<input type="submit" id="yes" class="btn" value="Confirm" />
		"""
		super
		
	exists: ->
		$("."+ @className.replace(/\ /,'.')).size() > 0