Passbox.Views.Dialogs ||= {}

class Passbox.Views.Dialogs.EnterKey extends Passbox.Views.Dialog
	template: JST["templates/dialogs/enterkey"]
	
	events:
		"submit form": "save"
		
	initialize: ->
		@success = @options.success
		@model = Passbox.user
	
	save: (e) ->
		e.preventDefault()
		e.stopPropagation()

		console.log "save EnterKey"

		@model.unset("errors")

		@model.save({},
			success: (password) =>
				@success()
				
			error: (password, jqXHR) =>
				@model.set({errors: $.parseJSON(jqXHR.responseText)})
		)

	render: ->
		$(this.el).html @template(@model.toJSON())
		super
		this.$("form").backboneLink(@model)
		$("#key").focus()
