Passbox.Views.Pages ||= {}

class Passbox.Views.Pages.Home extends Passbox.Views.Page
	bodyClass: "home"
	title: "Passwords"
	
	initialize: () ->
		
		@passwords_view = new Passbox.Views.Passwords.Index
			collection: Passbox.user.passwords
		
	render: ->
		if Passbox.user.passwords.isDecrypted()
			$(@el).html(@passwords_view.render().el)
			super
		else
			super
			$("#overlay").html("").show() # TODO: ugly
			@_fetchPasswords()
		
	
	_fetchPasswords: =>
		
		# @passwords.reset options.passwords
		@passwords_view.collection.fetch(
			
			success: =>
				window.Passbox.router._slideOut?( =>
					@render()
					window.Passbox.router._slideIn()
				,"#overlay")
				
			error: (collection, resp, options) =>
				console.log resp
				if resp == 'FileNotFound'
					@_newkey_dialog ||= new Passbox.Views.Dialogs.NewKey
						success: =>
							@passwords_view.collection.save
								success: =>
									window.Passbox.router._slideOut?( =>
										@render()
										window.Passbox.router._slideIn()
									,"#overlay")
									true
								error: ->
									alert "Error"
									
					@_newkey_dialog.render()
				else if resp == 'DecryptError'
					@_enterkey_dialog ||= new Passbox.Views.Dialogs.EnterKey
						success: =>
							@_fetchPasswords()
							
					@_enterkey_dialog.render()
		)