Passbox.Views.Passwords ||= {}

class Passbox.Views.Passwords.Password extends Backbone.View
	template: JST["templates/passwords/password"]
	
	events:
		"click .action"	  : "destroy"
		"click .destroy"	: "destroy"
			
	tagName: "li"
	
	destroy: (e) ->
		e.preventDefault()
		window.confirmationBox ||= new Passbox.Views.Dialogs.Confirm()
		window.confirmationBox.open =>
				@model.destroy()
				this.remove()
		return false
		
	render: ->
		@el.innerHTML = @template( @model.toJSON() ) # $.html doens't work correctly
		return this